Bug 196263 - Middle clicking a folder in the locations panel shouldn't activate the new tab
Summary: Middle clicking a folder in the locations panel shouldn't activate the new tab
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: places (show other bugs)
Version: 16.12.2
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Frank Reininghaus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-12 23:15 UTC by Panagiotis Papadopoulos
Modified: 2012-08-23 19:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Panagiotis Papadopoulos 2009-06-12 23:15:25 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

The general behaviour of Dolphin, when middle clicking folders, is to open those folders in a background tab, without switching the view to the new tab.

If you middle click a folder in the location panel, Dolphin opens the folder in a new tab, but also activates/switches the view to the new tab.

For consistency reasons I would change the behaviour of middle clicking in the location panel, so that it would only open the folder in a background tab, without "jumping" to that folder, just like with "normal" folders

Thank you
Comment 1 Emmanuel Pescosta 2012-08-18 12:28:34 UTC
review-request: https://git.reviewboard.kde.org/r/106069/
Comment 2 Emmanuel Pescosta 2012-08-23 19:54:41 UTC
Git commit 12b3b7695cf28417478c784e3f3bd68b76c77e6f by Emmanuel Pescosta.
Committed on 18/08/2012 at 11:14.
Pushed by emmanuelp into branch 'master'.

Changed the behaviour when middle clicking folders in places- and folders-dockwidget. Now it opens the folders in a new background tab (General behaviour of Dolphin)
REVIEW: 106069

M  +2    -2    dolphin/src/dolphinmainwindow.cpp

http://commits.kde.org/kde-baseapps/12b3b7695cf28417478c784e3f3bd68b76c77e6f